build:
  stage: build
  image: ruby:3.1.4
  script:
    - bundle install
    - bundle exec rake build
  artifacts:
    paths:
      - pkg

lint:
  stage: test
  image: ruby:3.1.4
  script:
    - bundle install
    - bundle exec rubocop

install:
  stage: test
  image: ruby:3.1.4
  dependencies:
    - build
  script:
    - gem install pkg/*.gem
    - apt-get update && apt-get install -y libarchive-tools
    - greenhat -r test/gitlab-sos.tar.gz

tests:
  stage: test
  image: ruby:3.1.4
  dependencies:
    - build
  script:
    - bundle install
    - bundle exec rake
